cascading.util

## Class Update

- java.lang.Object
- - java.util.TimerTask
  - - cascading.util.Update

- All Implemented Interfaces:
    java.lang.Runnable

      public class Update
      extends java.util.TimerTask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `UPDATE_CHECK_SKIP`
    `static java.lang.String` | `UPDATE_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkForUpdate()`
    `static void` | `checkForUpdate(PlatformInfo platformInfo)`
    `static void` | `registerPlanner(java.lang.Class<? extends FlowPlanner> plannerClass)`
    `void` | `run()`

    - ### Methods inherited from class java.util.TimerTask

      `cancel, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UPDATE_CHECK_SKIP

          public static final java.lang.String UPDATE_CHECK_SKIP

      See Also:
        Constant Field Values

    - #### UPDATE_URL

          public static final java.lang.String UPDATE_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Update

          public Update()

  - ### Method Detail

    - #### registerPlanner

          public static void registerPlanner(java.lang.Class<? extends FlowPlanner> plannerClass)

    - #### checkForUpdate

          public static void checkForUpdate(PlatformInfo platformInfo)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Specified by:
        `run` in class `java.util.TimerTask`

    - #### checkForUpdate

          public boolean checkForUpdate()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.